> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.agentverse.ai/v-1/api-reference/internal/track-agent-asi-1-response-time/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server. # Track Agent Asi1 Response Time POST https://agentverse.ai/internal/agent-asi1-response-time Content-Type: application/json Reference: https://docs.agentverse.ai/v-1/api-reference/internal/track-agent-asi-1-response-time ## Request ### Body (application/json) This endpoint expects an AgentASI1ResponseTime. - `address` (string, required) - `seconds` (double, required) - `timed_out` (boolean, required) ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Request** ```json { "address": "foo", "seconds": 42, "timed_out": true } ``` **SDK Code** ```python internalTrackAgentAsi1ResponseTimeExample import requests url = "https://agentverse.ai/internal/agent-asi1-response-time" payload = { "address": "foo", "seconds": 42, "timed_out": True } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript internalTrackAgentAsi1ResponseTimeExample const url = 'https://agentverse.ai/internal/agent-asi1-response-time'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"address":"foo","seconds":42,"timed_out":true}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go internalTrackAgentAsi1ResponseTimeExample package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://agentverse.ai/internal/agent-asi1-response-time" payload := strings.NewReader("{\n \"address\": \"foo\",\n \"seconds\": 42,\n \"timed_out\": true\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby internalTrackAgentAsi1ResponseTimeExample require 'uri' require 'net/http' url = URI("https://agentverse.ai/internal/agent-asi1-response-time") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"address\": \"foo\",\n \"seconds\": 42,\n \"timed_out\": true\n}" response = http.request(request) puts response.read_body ``` ```java internalTrackAgentAsi1ResponseTimeExample import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://agentverse.ai/internal/agent-asi1-response-time") .header("Content-Type", "application/json") .body("{\n \"address\": \"foo\",\n \"seconds\": 42,\n \"timed_out\": true\n}") .asString(); ``` ```php internalTrackAgentAsi1ResponseTimeExample request('POST', 'https://agentverse.ai/internal/agent-asi1-response-time', [ 'body' => '{ "address": "foo", "seconds": 42, "timed_out": true }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp internalTrackAgentAsi1ResponseTimeExample using RestSharp; var client = new RestClient("https://agentverse.ai/internal/agent-asi1-response-time"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"address\": \"foo\",\n \"seconds\": 42,\n \"timed_out\": true\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift internalTrackAgentAsi1ResponseTimeExample import Foundation let headers = ["Content-Type": "application/json"] let parameters = [ "address": "foo", "seconds": 42, "timed_out": true ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/internal/agent-asi1-response-time")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Build, integrate, and launch agents using APIs and chat protocol.